#! /bin/sh
### BEGIN INIT INFO
# Provides:          mtab
# Required-Start:    mountall
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Update mtab file.
# Description:       Update the mount program's mtab file after
#                    all local filesystems have been mounted.
### END INIT INFO

#
# The main purpose of this script is to update the mtab file to reflect
# the fact that virtual filesystems were mounted early on, before mtab
# was writable.
#
# In addition, this script currently has to run mountdevsubfs.sh too
# because in versions of the udev package prior to 0.080-1, the "udev"
# initscript ran at S04udev (_after_ S04mountdevsubfs.sh) and unmounted
# /dev/pts and /dev/shm.
#

case "$1" in
  start|"")
	set "start"
	. /etc/init.d/mountkernfs.sh
	set "start"
	. /etc/init.d/mountdevsubfs.sh
	;;
  restart|reload|force-reload)
	echo "Error: argument '$1' not supported" >&2
	exit 3
	;;
  stop)
	# No-op
	;;
  *)
	echo "Usage: mountall-mtab.sh [start|stop]" >&2
	exit 3
	;;
esac

:
